<?php
/*
* Copyright (C) 2017 Markus Eberl
*
* This Program is free software; you can redistribute it and/or modify
* it under the terms of the Attribution-NonCommercial 4.0 International (CC BY-NC 4.0) License
* as published by https://creativecommons.org/licenses/by-nc/4.0/legalcode 
*
* This Program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
*
*  file: app/sleep_ctl.php
*  version: 1.0 2017-05-11
*  coder: Markus Eberl
 */
 
// POST Handler

$fadetime = 5; //in min

if (isset($_POST['sleeptime'])){	
	
	# Delete any existing at() jobs
	$cmd = 'for i in `atq | awk \'{print $1}\'`;do atrm $i;done';
	shell_exec($cmd);
		
	if($_POST['sleeptime'] != "stop"){
		
		$fadestart = (int)$_POST['sleeptime'] - $fadetime;
		
		if($fadestart <= 0){
			shell_exec('/var/www/mpcfadectl.sh out '.$fadetime * 60 .' 2>&1');
			
		}else{	
			# Add new job
			shell_exec('echo "/var/www/mpcfadectl.sh out '.$fadetime * 60 .'" | at now + '.((int)$_POST['sleeptime'] - $fadetime).' min 2>&1');		
		}
		//$msg =  "Sleep timer started";
	}	
	#header( 'HTTP/1.1 303 See Other' );
    #header( 'Location:');	
}
?>


<div class="container sleep">
<h1>Sleep</h1>

<?php
	//Messages only show if header reload is removed
	if(isset($msg))	echo "<div class=\"boxed-group\" id=\"airplayBox\">$msg</div>";
?>

<form action="sleep" method="post" class="form-horizontal">
<fieldset>
<legend>Select</legend>

	<div class="container boxed">
		<div class="form-group">
			<?php
				$timearray = array(5,10,15,30,45,60,90,120); 
				foreach($timearray as $time){		
					echo "<button type=\"submit\" name=\"sleeptime\" value=\"".$time."\" class=\"btn btn-primary btn-lg\" style=\"margin: 1em;\">".$time." min</button>";
				}
				$checkat = shell_exec('atq');		
				if( $checkat != ""){
					echo "<button type=\"submit\" name=\"sleeptime\" value=\"stop\" class=\"btn btn-default btn-lg\" style=\"margin: 1em;\">Stop sleep timer</button>";
				}				
			?>
		</div>
	</div>	
</fieldset>
</form>
</div>

